﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace ZoomToFullExtentWpf
{
    /// <summary>
    /// Interaction logic for TestWindow.xaml
    /// </summary>
    public partial class TestWindow : Window
    {
        public TestWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            string shpPath=....;
            ShapeFileFeatureLayer.BuildIndexFile(shpPath, BuildIndexMode.DoNotRebuild);

            ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(shpPath);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle =
            AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent,GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));

            ManagedProj4Projection proj = new ManagedProj4Projection
            {
                InternalProjectionParametersString = ManagedProj4Projection.GetEpsgParametersString(4326),
                ExternalProjectionParametersString = ManagedProj4Projection.GetGoogleMapParametersString()
            };

            layer.FeatureSource.Projection = proj;
            proj.Open();

            LayerOverlay overLay = new LayerOverlay();
            overLay.TileCache = new FileBitmapTileCache(@"c:\temp");
            overLay.TileCache.CacheId = "cache";

            overLay.Layers.Add(shpPath, layer);
            
            layer.Open();
            wpfMap1.CurrentExtent = layer.GetBoundingBox();
            layer.Close();

            wpfMap1.MapUnit = GeographyUnit.Meter;
            wpfMap1.Overlays.Add(overLay);
            wpfMap1.Refresh();
        }
      }
}
